{% set O = tabO[0] %}




<form method="post" action="#" id="Form{{ O.id }}">

<table class="table-selection table-responsive" cellspacing="0">

    <tr>

        <td>
            <a class="btn btn-default btn-xs" href="#" onclick="toggleColumn();">
                <span id="toggleColumnBtn" class="glyphicon glyphicon-fullscreen"></span>

            </a>
      
            <input name='toggleGlobal' id="toggleGlobal" type="checkbox" class='toggle' data-size="mini" data-width="150" data-toggle="toggle" data-off="<span class='glyphicon glyphicon-pencil'></span> Mode correction" data-on="<span class='glyphicon glyphicon-share-alt'></span> Mode M. à jour" data-onstyle="default" data-offstyle="default">
      
            <input name='toggleMultipleMode' id="toggleMultipleMode" type="checkbox" class='toggle' data-size="mini" data-width="150" data-toggle="toggle" data-off="<span class='glyphicon glyphicon-th-list'></span> Mode multiple" data-on="<span class='glyphicon glyphicon-th'></span> Mode unique" data-onstyle="default" data-offstyle="default">
        </td>

        <td class="text-right multiple-selection-bg multiple-selection-bg-left"><b>Date</b></td>
        <td class="multiple-selection-bg multiple-selection-bg-right">
            <input type="date" data-toggle="tooltip" data-placement="top" title="Date de début de la validité des valeurs ou bien 0 si elle n'est pas définie" class="form-control input-sm" id="dateDebutparameterObjet" name="start_date" value="{{ app.session.get('start_date_value')!=null ? app.session.get('start_date_value') : null }}" size="30" onchange="checkDate('dateDebutparameterObjet', 'dateDebutparameterObjetComment', 'boutonRenseignerObjet', 'end_dateparameterObjet');" required="required" style="max-width:  152px;"/>
            <div id="dateDebutparameterObjetComment"></div>
            <input id="end_dateparameterObjet" name="end_date" value="0" size="30" type='hidden'/>

        </td>


        <td colspan="{{ (tabO|length) }}" class="text-right">
            <a class="btn btn-default btn-xs" href="#" onclick="sendData('', '{{url('selection-geo')}}', 'objet', event);openClose('rightColumn', '{{ app.session.get('map_width')|default(60) }}%', 'map', '{{ 100-app.session.get('map_width')|default(40)}}%');">
                <span class="glyphicon glyphicon-remove"></span>
                Annuler</a>
        </td>
    </tr>
</table>



    <div class="renseigneFormInside">

        <div class="multiple-selection" style=" max-width: 100vw;">

            <table
                class="table-hover table-selection table-responsive">

                <tr class="row rowSysma">
                    <th class="stickyColumn" style="z-index:3;">
                    <input title="Sélectionner / dé-sélectionner tous les paramètres" id="allParameters" value="1" type="checkbox" onclick="toggleAllSysmaParameters();" checked />
                    </th>
                    {% for Ob in tabO %}
                        <th onmouseover="showObjectInMap({{ Ob.id}})" onmouseout="hideObjectInMap({{ Ob.id}})" style="min-width:150px;">{{ Ob.sysma_object }}
                            <small>[{{ Ob.id }}]</small>
                        </th>
                    {% endfor %}
                </tr>


                {% for V in O.dataIndex %}

                    {% if V.parameter.required %}
                        {%  set required='required' %}
                    {%  else %}
                        {%   set required=null %}
                    {%  endif %}


                    {%  if (mode == 'field' and V.parameter.required_field_parameter != 'non' and V.parameter.required_field_parameter != 'oui en lecture' ) or mode != 'field'  %}

                        {%  if '**' in V.parameter.ordered_by %}
                            <tr class="row rowSysma">
                                <td colspan="{{ (1+tabO|length)}}">
                                    <h3>{{ (V.parameter.ordered_by|split('**')).1|replace('_',' ') }}</h3>
                                </td>
                            </tr>
                        {%  endif %}

                        <tr class="row rowSysma {% if  V.parameter.required %}  requiredParameter  {% endif %} ">

                            <td class="stickyColumn">

                               <input name="parameter{{V.parameter.parameter_id}}" class="parameter" value="1" type="checkbox" checked />

                                <acronym title="{{V.parameter.description|striptags|raw}} [{{V.parameter.parameter_id}}]">{{V.parameter.parameter|striptags|raw}}</acronym>
                                {% if V.parameter.unit!=null %}
                                    ({{V.parameter.unit}})
                                {% endif %}
                            </td>

                            {% for Ob in tabO %}


                                {% set V = Ob.dataIndex[V.parameter.parameter_id] %}

                                <td id="renseigneForm{{Ob.id}}{{V.parameter_id}}">

                                    {% if (V.parameter.dataType == 'booleanType') %}
                                        <select name="valueO{{Ob.id}}P{{V.parameter_id}}" id="valueO{{Ob.id}}P{{V.parameter_id}}" class="form-control p{{V.parameter_id}}" onchange="multipleModificationSelect({{Ob.id}},{{V.parameter_id}});" {{ required }}>
                                            <option value=''>Non renseigné</option>
                                            <option value="1" {% if V.value == '1' %} selected {% endif %}>Oui</option>
                                            <option value="0" {% if V.value == '0' %} selected {% endif %}>Non</option>
                                        </select>

                                    {% elseif V.parameter.dataType == 'textChoiceType' %}
                                        {% set details =  null %}
                                        <select name="valueO{{Ob.id}}P{{V.parameter_id}}" id="valueO{{Ob.id}}P{{V.parameter_id}}" class="form-control p{{V.parameter_id}}" onchange="multipleModificationSelect({{Ob.id}},{{V.parameter_id}});" {{ required }}>
                                            <option value=''>Non renseigné</option>
                                            {% for choice in V.choicesArray %}
                                                <option value="{{ choice.choice }}" {% if V.value == choice.choice %} selected {% endif %}>{{ choice.choice|raw }}

                                                    {% if choice.description != null %}
                                                        {% set details = details ~ choice.choice ~ ' : ' ~ choice.description ~ '<br>' %}
                                                    {% endif %}
                                                </option>
                                            {% endfor %}
                                        </select>


                                    {% elseif V.parameter.dataType == 'multipleTextChoiceType' %}

                                        <br>
                                        {% set details = null %}

                                        {% for choice in V.choicesArray %}

                                            <input type="checkbox" value="1" name="choiceC{{ choice.choice_id }}O{{Ob.id}}P{{V.parameter_id}}" id="choiceC{{ choice.choice_id }}O{{Ob.id}}P{{V.parameter_id}}" class="p{{V.parameter_id}}C{{ choice.choice_id }}" onchange="multipleModificationCheckbox({{ choice.choice_id }},{{Ob.id}},{{V.parameter_id}});" {{ required }} {% for value in V.value %} {% if value == choice.choice %} checked="checked" {% endif %} {% endfor %}/>&nbsp;<small>{{ choice.choice }}</small><br/>

                                            {% if choice.description != null %}
                                                {% set details = details ~ choice.choice ~ ' : ' ~ choice.description ~ '<br>' %}
                                            {% endif %}

                                        {% endfor %}

                                    {% elseif V.parameter.dataType == 'longTextType' %}
                                        <textarea name="valueO{{Ob.id}}P{{V.parameter_id}}" id="valueO{{Ob.id}}P{{V.parameter_id}}" class="form-control p{{V.parameter_id}}" onchange="multipleModificationTextarea({{Ob.id}},{{V.parameter_id}});" {{ required }}>{{ V.value }}</textarea>

                                    {% elseif V.parameter.dataType == 'integerType' %}
                                        <input name="valueO{{Ob.id}}P{{V.parameter_id}}" id="valueO{{Ob.id}}P{{V.parameter_id}}" class="form-control p{{V.parameter_id}}" onchange="multipleModificationInput({{Ob.id}},{{V.parameter_id}});" type="number" step="1" value="{{ V.value }}" {{ required }}/>

                                    {% elseif V.parameter.dataType == 'floatType' %}
                                        <input type="number" step="any" pattern="[0-9]+([,\.][0-9]+)?" name="valueO{{Ob.id}}P{{V.parameter_id}}" id="valueO{{Ob.id}}P{{V.parameter_id}}" class="form-control p{{V.parameter_id}}" onchange="multipleModificationInput({{Ob.id}},{{V.parameter_id}});" value="{{ V.value }}" {{ required }}/>

                                    {% elseif V.parameter.dataType == 'sysmaObjectLinkType' %}
                                        <select name="valueO{{Ob.id}}P{{V.parameter_id}}" id="valueO{{Ob.id}}P{{V.parameter_id}}" class="form-control p{{V.parameter_id}}" onchange="multipleModificationSelect({{Ob.id}},{{V.parameter_id}});" {{ required }}>
                                            <option value="">Non renseigné</option>
                                            {% for l in V.linkedObjectsList %}
                                                <option value="{{ l.name~' ['~l.id~']' }}" {% if V.value == l.name~' ['~l.id~']' %} selected {% endif %}>{{ l.name~' ['~l.id~']'|raw }}
                                                </option>
                                            {% endfor %}
                                        </select>


                                    {% else %}
                                        <input name="valueO{{Ob.id}}P{{V.parameter_id}}" id="valueO{{Ob.id}}P{{V.parameter_id}}" class="form-control p{{V.parameter_id}}" onchange="multipleModificationInput({{Ob.id}},{{V.parameter_id}});" value="{{ V.value }}" {{ required }}/>

                                    {% endif %}


                                    {%  if V.parameter.time_tracking==1 %}
                                        <div style="display:none;">
                                            <input name='toggleO{{Ob.id}}P{{V.parameter_id}}' type="checkbox" class='toggle toggleVal' data-size="mini" data-width="100" data-toggle="toggle" data-off="<span class='glyphicon glyphicon-pencil'></span> Corriger" data-on="<span class='glyphicon glyphicon-share-alt'></span> M. à jour" data-onstyle="default" data-offstyle="default">
                                            <span class="glyphicon glyphicon-question-sign text-muted" title="M. à jour : l'ancienne donnée sera archivée. Corriger : l'ancienne donnée sera remplacée"></span>
                                        </div>
                                    {%  endif %}

                                </td>

                            {% endfor %}

                        </tr>

                    {%  endif %}

                {% endfor %}


            </table>

        </div>

    </div>

    <table class="table">

        <tr class="row rowSysma">
            <td>
                <p class='text-right'>
                    <button class="btn btn-primary" id="boutonRenseignerObjet" onclick="sendFormAndRedirect('Form{{ O.id }}', '{{ url('object-tab-form-commit')}}', 'null', '{{ url('selection-geo')}}', 'objet', event);" {% if app.session.get('start_date_value') is null %} disabled {% endif %}>Renseigner</button>
                </p>
            </td>

            <input type="hidden" value="{{ mode }}" name="mode"/>
            <input type="hidden" value="{{ sysma_object_ids_list }}" name="sysma_object_ids_list"/>
        </tr>

    </table>


</form>

<script>



    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
    $(function () {
        $('.toggle').bootstrapToggle();
    })

    $(function () {
        $('#toggleGlobal').change(function () {

            if ($(this).prop('checked')) {
                console.log('checked');
                $('.toggleVal').bootstrapToggle('on')
            } else {
                console.log('unchecked');
                $('.toggleVal').bootstrapToggle('off')
            }

        })
    })

    $(function () {
        $('#toggleMultipleMode').change(function () {
            toggleMultipleModification()

        })
    })

    var multipleMode = true;
    function toggleMultipleModification() {
        multipleMode = ! multipleMode;
        console.log("multiple mode " + multipleMode);
    }

    function multipleModificationSelect(objet, param) {

        if (multipleMode) {
            let inputName = '#valueO' + objet + 'P' + param;
            let value = $(inputName + ' option:selected').val();
            // console.log(value);
            if (! value) {
                $('.p' + param).val('');
            } else {
                $('.p' + param + ' option[value=\'' + value + '\']').attr('selected', 'selected');
            }
        }
    }

    function multipleModificationCheckbox(choice, objet, param) {

        if (multipleMode) {
            let inputName = '#choiceC' + choice + 'O' + objet + 'P' + param;
            let value = $(inputName).is(':checked');
            // console.log(value);
            if (! value) {
                $('.p' + param + 'C' + choice).prop('checked', false)
            } else {
                $('.p' + param + 'C' + choice).prop('checked', true)
            }
        }
    }

    function multipleModificationTextarea(objet, param) {

        if (multipleMode) {
            let inputName = '#valueO' + objet + 'P' + param;
            let value = $(inputName).val();
            // console.log(value);
            if (! value) {
                $('.p' + param).text('');
            } else {
                $('.p' + param).text(value);
            }
        }
    }


    function multipleModificationInput(objet, param) {

        if (multipleMode) {
            let inputName = '#valueO' + objet + 'P' + param;
            let value = $(inputName).val();
            // console.log(value);
            if (! value) {
                $('.p' + param).val('');
            } else {
                $('.p' + param).val(value);
            }
        }
    }


    function toggleColumn() {

        if ($('#toggleColumnBtn').hasClass("glyphicon-fullscreen")) {
            $('#toggleColumnBtn').removeClass("glyphicon-fullscreen");
            $('#toggleColumnBtn').addClass("glyphicon-resize-small");
            openClose('rightColumn', '100%', 'map', '0%');
        } else {
            openClose('rightColumn', '{{ app.session.get('map_width')|default(60) }}%', 'map', '{{ 100-app.session.get('map_width')|default(40) }}%');
            $('#toggleColumnBtn').removeClass("glyphicon-resize-small");
            $('#toggleColumnBtn').addClass("glyphicon-fullscreen");
        }

    }
 
       
    function toggleAllSysmaParameters(){

        console.log($('#allParameters').is(':checked')) ;

        if($('#allParameters').is(':checked')){
            $('.parameter').prop('checked',true);
        } else {
            $('.parameter').prop('checked', null);
        }

    }
    
    
    
    
    
    
    
    (function () {

        $('.multiple-selection').css('max-height', (screen.height - 300) + 'px');

    })();
</script>
